@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&family=Raleway:wght@300;400;700&display=swap');
:root {
    --background: linear-gradient(135deg, #df57577e 0%, #bb404098 100%);
    --color-primary: #ea6666;
    --color-secondary: #a24b4b;
    --boton-padding: 20px 40px;
}

body {
    font-family: 'Raleway', sans-serif;
}

.container {
    width: 96%;
    margin: 0 auto;
    overflow: hidden;
    padding: 80px 0;
    max-width: 1200px;
}

.hero__texts {
    width: 80%;
    margin-bottom: 50px;
}

.hero__title {
    font-size: 3.2rem;
}

.hero__subtitle {
    font-size: 2rem;
    font-weight: 300;
    margin: 15px 0;
}

.subtitle {
    color: var(--color-primary);
    font-size: 2.5rem;
    margin-bottom: 35px;
}

.hero .container {
    padding: 0;
}

.nav {
    display: flex;
    justify-content: flex-end;
    height: 70px;
    align-items: center;
    font-weight: 700;
}

.nav--footer {
    font-weight: 300;
    justify-content: flex-start;
}

.nav__items {
    color: #fff;
    text-decoration: none;
    margin-right: 20px;
    padding: 10px 15px;
    font-weight: inherit;
}

.nav__items--cta {
    border: 1px solid #fff;
}

.nav__items--footer {
    padding: 10px;
}

.hero__container {
    display: flex;
    height: calc(100vh - 70px);
    align-items: center;
    color: #fff;
}

.hero__cta {
    display: inline-block;
    background: #fff;
    padding: var(--boton-padding);
    color: var(--color-primary);
    text-decoration: none;
    border-radius: 40px;
}

.hero__wave {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100px;
}


/*footer*/

footer {
    background-color: rgb(113, 154, 59);
}

.footer__grid {
    display: grid;
    grid-template-columns: 3fr 2fr;
    gap: 20px;
    align-items: center;
}

.footer__title {
    font-weight: 400;
    color: #fff;
    font-size: 2rem;
    margin-bottom: 30px;
    text-align: center;
}

.footer__icons {
    display: flex;
    justify-content: space-evenly;
}

.footer__container-icons {
    display: inline-block;
    width: 60px;
    height: 60px;
    color: #fff;
    text-align: center;
    border: 1px solid #fff;
    border-radius: 50%;
}

.footer__icon {
    color: inherit;
    font-size: 30px;
    text-decoration: none;
}

.fab.footer__icon {
    line-height: 60px;
}


/*responsive*/

@media screen and (max-width: 800px) {
     :root {
        --boton-padding: 18px 40px;
    }
    .nav {
        justify-content: space-around;
    }
    .nav__items--cta {
        border: none;
    }
    .nav__items {
        font-weight: 400;
        border-bottom: 1px solid #fff;
        margin-right: 0;
    }
    .nav__items--footer {
        border: none;
    }
    .hero__texts {
        width: 100%;
        margin-bottom: 80px;
    }
    .hero__title {
        font-size: 2.5rem;
    }
    .hero__subtitle {
        font-size: 1.5rem;
    }
    /*footer*/
    .footer__grid {
        grid-template-columns: 1fr;
    }
    .footer__contact {
        grid-row: 1/2;
    }
}

@media screen and (max-width: 500px) {
     :root {
        --boton-padding: 18px 35px;
    }
    .subtitle {
        font-size: 2rem;
        margin-bottom: 20px;
    }
    .nav {
        flex-wrap: wrap;
        justify-content: space-evenly;
        margin-top: 10px;
    }
    .nav__items {
        padding: 0 10px;
        border: 0;
    }
    .hero__texts {
        text-align: center;
        margin-bottom: 100px;
    }
    .hero__title {
        font-size: 2rem;
    }
}